com.corticon.eclipse.studio.vocabulary.core

## Class AssociationParameters

- java.lang.Object
- - com.corticon.eclipse.studio.vocabulary.core.AssociationParameters

-     public class AssociationParameters
      extends java.lang.Object

  AssociationParameters is a "parameters" class used in conjunction with the Vocabulary Model API. The API client (e.g., GUI) constructs an instance of this class in order to create a new bidirectional (or unidirectional) association in the Vocabulary.

  Vocabulary API method addAssociation requires an instance of AssociationParameters as a parameter. The addAssociation method uses the information contained in the AssociationParameters instance to construct either one or two association ends, depending on the values of the navigability indicators (i.e., myNavigable and oppositeNavigable).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `myJavaObjectFieldName` Instance variable name of the association collection or simple object reference in the user's Java object model.
    `java.lang.String` | `myJavaObjectGetMethod` "Get" method needed to access the association collection or simple object reference in the user's Java object model.
    `java.lang.String` | `myJavaObjectSetMethod` "Set" method needed to access the association collection or simple object reference in the user's Java object model.
    `java.lang.String` | `myJoinExpression` An expression, similar to an SQL WHERE clause, that describes the join conditions between two database tables.
    `boolean` | `myMandatory` An indication of whether at least one instance of the target entity is mandatory.
    `boolean` | `myMany` An indication of whether there can be many instances of the target entity.
    `boolean` | `myNavigable` An indication of whether this association is navigable from source-to-target.
    `java.lang.String` | `myRoleName` Source-to-target role name.
    `IEntity` | `myTargetEntity` Reference to the target entity of the new association.
    `java.lang.String` | `myXMLPropertyName` The XML property name for the source-to-target association end.
    `java.lang.String` | `oppositeJavaObjectFieldName` Instance variable name of the association collection or simple object reference in the user's Java object model.
    `java.lang.String` | `oppositeJavaObjectGetMethod` "Get" method needed to access the association collection or simple object reference in the user's Java object model.
    `java.lang.String` | `oppositeJavaObjectSetMethod` "Set" method needed to access the association collection or simple object reference in the user's Java object model.
    `boolean` | `oppositeMandatory` An indication of whether at least one instance of the source entity is mandatory.
    `boolean` | `oppositeMany` An indication of whether there can be many instances of the source entity.
    `boolean` | `oppositeNavigable` An indication of whether this association is navigable from target-to-source.
    `java.lang.String` | `oppositeRoleName` Target-to-source role name.
    `IEntity` | `oppositeTargetEntity` Reference to the source entity of the new association.
    `java.lang.String` | `oppositeXMLPropertyName` The XML property name for the target-to-source association end.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociationParameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssociationParameters` | `copy()` Get an identical copy of this AssocaitionParamters Object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### myTargetEntity

          public IEntity myTargetEntity

      Reference to the target entity of the new association.

    - #### myRoleName

          public java.lang.String myRoleName

      Source-to-target role name.

    - #### myMany

          public boolean myMany

      An indication of whether there can be many instances of the target entity.

    - #### myMandatory

          public boolean myMandatory

      An indication of whether at least one instance of the target entity is mandatory.

    - #### myNavigable

          public boolean myNavigable

      An indication of whether this association is navigable from source-to-target.

    - #### myXMLPropertyName

          public java.lang.String myXMLPropertyName

      The XML property name for the source-to-target association end.

    - #### myJavaObjectGetMethod

          public java.lang.String myJavaObjectGetMethod

      "Get" method needed to access the association collection or simple object reference in the user's Java object model.

    - #### myJavaObjectSetMethod

          public java.lang.String myJavaObjectSetMethod

      "Set" method needed to access the association collection or simple object reference in the user's Java object model.

    - #### myJavaObjectFieldName

          public java.lang.String myJavaObjectFieldName

      Instance variable name of the association collection or simple object reference in the user's Java object model.

    - #### myJoinExpression

          public java.lang.String myJoinExpression

      An expression, similar to an SQL WHERE clause, that describes the join conditions between two database tables. The join expression describes the relationship between the foreign keys and primary keys. The join expression is only applicable for associations between datastore-persistent entities.

    - #### oppositeTargetEntity

          public IEntity oppositeTargetEntity

      Reference to the source entity of the new association.

    - #### oppositeRoleName

          public java.lang.String oppositeRoleName

      Target-to-source role name.

    - #### oppositeMany

          public boolean oppositeMany

      An indication of whether there can be many instances of the source entity.

    - #### oppositeMandatory

          public boolean oppositeMandatory

      An indication of whether at least one instance of the source entity is mandatory.

    - #### oppositeNavigable

          public boolean oppositeNavigable

      An indication of whether this association is navigable from target-to-source.

    - #### oppositeXMLPropertyName

          public java.lang.String oppositeXMLPropertyName

      The XML property name for the target-to-source association end.

    - #### oppositeJavaObjectGetMethod

          public java.lang.String oppositeJavaObjectGetMethod

      "Get" method needed to access the association collection or simple object reference in the user's Java object model.

    - #### oppositeJavaObjectSetMethod

          public java.lang.String oppositeJavaObjectSetMethod

      "Set" method needed to access the association collection or simple object reference in the user's Java object model.

    - #### oppositeJavaObjectFieldName

          public java.lang.String oppositeJavaObjectFieldName

      Instance variable name of the association collection or simple object reference in the user's Java object model.

  - ### Constructor Detail

    - #### AssociationParameters

          public AssociationParameters()

  - ### Method Detail

    - #### copy

          public AssociationParameters copy()

      Get an identical copy of this AssocaitionParamters Object

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.